ALIGN_IMAGE_STACK(1)

NAME
align_image_stack - Align overlapping images for HDR or focus stack creation

SYNOPSIS
align_image_stack [options] input files

DESCRIPTION
align_image_stack is used for the alignment of slightly misaligned images or for the registration of a stereo images pair. When several differently exposed images are taken in the process of creating a High Dynamic Range image, the images are not perfectly aligned, and the quality of the HDR image created will suffer from this. align_image_stack uses the tools available to hugin to optimize the roll, pitch and yaw, as well as some parameters of the lens geometry, to align the images.

OPTIONS
Modes of operation:

-p file
    Output .pto file (useful for debugging, or further refinement)

-a prefix
    Output aligned images as prefix_xxxx.tif

-o output
    Align images and merge them to HDR, generate output.hdr

Modifiers:

-v  Verbose, print progress messages. Repeat for higher verbosity

-e  Assume input images are full frame fish eye (default: rectilinear)

-t num
    Remove all control points with an error higher than num pixels (default: 3)

-f HFOV
    Approximate horizontal field of view of input images, use if EXIF info not complete

-m  Optimize field of view for all images, except for first. Useful for aligning focus stacks with slightly different magnification.

-d  Optimize radial distortion for all images, except for first.

-i  Optimize image center shift for all images, except for first.

-S  Assume stereo images - allow horizontal shift of control points.

-A  Align stereo window - assumes -S

-P  Align stereo window with pop-out effect - assumes -S

-C  Auto crop the image to the area covered by all images

-c num
    Number of control points (per grid) to create between adjacent images (default: 8)

-l  Assume linear input files

-s scale
    Scale down image by 2^scale (default: 1 [2x down-sampling])

-g gsize
    Break image into a rectangular grid (gsize x gsize) and attempt to find num control points in each section (default: 5 [5x5 grid])

-h  Display help summary.

AUTHORS
Written by Pablo d'Angelo. Also contains contributions from Douglas Wilkins, Ippei Ukai, Ed Halley, Bruno Postle, Gerry Patterson and Brent Townshend. Stereo functionality added by Vladimir Nadvornik.

This man page was written by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and is licensed under the same terms as the hugin package itself.